Raised This Month: $115 Target: $400
 28% 

Since 9/16 CSS Update, MM will not load


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
imsirius
Junior Member
Join Date: Sep 2015
Old 09-16-2015 , 21:54   Since 9/16 CSS Update, MM will not load
Reply With Quote #1

Updated to the latest version to rule that out but continue to get the same error in metamod-fatal.log:

Code:
L 09/16/2015 - 19:26:14: Detected engine 11 but could not load: /lib/libm.so.6: version `GLIBC_2.15' not found (required by bin/libvstdlib.so)
L 09/16/2015 - 19:32:26: Detected engine 11 but could not load: /lib/libm.so.6: version `GLIBC_2.15' not found (required by bin/libvstdlib.so)
L 09/16/2015 - 19:38:54: Detected engine 11 but could not load: /lib/libm.so.6: version `GLIBC_2.15' not found (required by bin/libvstdlib.so)
CentOS box that's been working great until tonight.
imsirius is offline
pubhero
Veteran Member
Join Date: Aug 2012
Location: Central Europe
Old 09-17-2015 , 00:05   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #2

I can confirm this. Latest stable, and latest devv version dead too. CS:S. Linux.

Last edited by pubhero; 09-17-2015 at 00:06.
pubhero is offline
JZServices
Member
Join Date: Jul 2013
Old 09-17-2015 , 00:15   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #3

Downloading latest version of metamod resolved for me.

http://www.metamodsource.net/snapshots

I had used the latest snapshop on the stable branch.

Downloaded metamod/Installed metamod

Started server
Server downloaded new gamedata files and crashed
When it came back up it works fine.

Tested loading server from start script and no crash.

One of my servers I had to go into steamcmd and do an app_udpate 232330 -validate because it kept crashing with only one plugin loaded even after re-installing all sm files
JZServices is offline
psychonic

BAFFLED
Join Date: May 2008
Old 09-17-2015 , 09:42   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #4

Quote:
Originally Posted by imsirius View Post
Updated to the latest version to rule that out but continue to get the same error in metamod-fatal.log:

Code:
L 09/16/2015 - 19:26:14: Detected engine 11 but could not load: /lib/libm.so.6: version `GLIBC_2.15' not found (required by bin/libvstdlib.so)
L 09/16/2015 - 19:32:26: Detected engine 11 but could not load: /lib/libm.so.6: version `GLIBC_2.15' not found (required by bin/libvstdlib.so)
L 09/16/2015 - 19:38:54: Detected engine 11 but could not load: /lib/libm.so.6: version `GLIBC_2.15' not found (required by bin/libvstdlib.so)
CentOS box that's been working great until tonight.
You have something very wrong going on. CS:S server does not come with or load libvstdlib.so. It uses libvstdlib_srv.so. I think that you installed/updated the client files (app 240) instead of the server files (app 232330).
psychonic is offline
Pialx
SourceMod Donor
Join Date: Oct 2010
Old 09-17-2015 , 09:53   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #5

Hi,

I've the same error, got the server running before this update.
I've installed app 232330.

Send you (Psy) an MP about this.
On an old post (2013) the same error appears where you said:

Quote:
Originally Posted by psychonic View Post
Whoops. It looks like I accidentally compiled it against the linux client libvstdlib.so (the same as the old name for the server's) instead of the linux server libvstdlib_srv.so.

I'll try to make a good recompile and repackaging to be a drop-in for all games later today or tomorrow.
Posted here: https://forums.alliedmods.net/showpo...&postcount=112

Does it the same here?

Last edited by Pialx; 09-17-2015 at 09:56.
Pialx is offline
psychonic

BAFFLED
Join Date: May 2008
Old 09-17-2015 , 10:16   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #6

Quote:
Originally Posted by Pialx View Post
Posted here: https://forums.alliedmods.net/showpo...&postcount=112

Does it the same here?
No, that is not relevant here.
psychonic is offline
Pialx
SourceMod Donor
Join Date: Oct 2010
Old 09-17-2015 , 10:26   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #7

The error appears with the following (and after) build:
mmsource-1.10.6-git942-linux

Before the server start (but don't load MM)
Pialx is offline
Pialx
SourceMod Donor
Join Date: Oct 2010
Old 09-17-2015 , 10:52   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #8

Don't know why....
But downloading and testing each release from 934 to 944 and the error disappear oO
Pialx is offline
imsirius
Junior Member
Join Date: Sep 2015
Old 09-17-2015 , 11:24   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #9

Quote:
Originally Posted by psychonic View Post
You have something very wrong going on. CS:S server does not come with or load libvstdlib.so. It uses libvstdlib_srv.so. I think that you installed/updated the client files (app 240) instead of the server files (app 232330).
Server files appear fine. I installed the latest MM and restarted the server, twice and it now works...

http://www.metamodsource.net/mmsdrop...4-linux.tar.gz
imsirius is offline
JZServices
Member
Join Date: Jul 2013
Old 09-18-2015 , 01:09   Re: Since 9/16 CSS Update, MM will not load
Reply With Quote #10

Quote:
Originally Posted by Pialx View Post
The error appears with the following (and after) build:
mmsource-1.10.6-git942-linux

Before the server start (but don't load MM)
Im not sure man, I got my 3 css servers back up with version 1.10.6-git944

I would suggest backing up addons folder and creating a new one with just the new versions of metamod and sourcemod

or doing a validate on the server

Last edited by JZServices; 09-18-2015 at 01:10.
JZServices is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 20:33.


Powered by vBulletin®
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Theme made by Freecode